Debian Bug report logs - #263756
manpages-dev: outb man page doesn't actually tell you what order port/data are in

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: davidw@eidetix.com

Date: Thu, 5 Aug 2004 16:03:02 UTC

Severity: minor

Tags: fixed-upstream, patch

Found in version 1.67-2

Fixed in version manpages/2.08-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263756; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to davidw@eidetix.com:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "David N. Welton" <davidw@eidetix.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages-dev: outb man page doesn't actually tell you what order port/data are in
Date: Thu, 05 Aug 2004 17:55:38 +0200
Package: manpages-dev
Version: 1.67-2
Severity: minor


The outb man page has this to say:

       outb and friends are hardware specific. The port and value
       arguments are in the opposite order from most DOS
       implementations.

which isn't useful, because I don't know what order they are in under
DOS.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=C, LC_CTYPE=C

Versions of packages manpages-dev depends on:
ii  manpages                      1.67-2     Manual pages about using a GNU/Lin

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263756; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sf.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 263756@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sf.net>
To: 263756@bugs.debian.org, control@bugs.debian.org
Subject: patch
Date: Thu, 21 Jul 2005 15:03:27 -0400
tag 263756 patch
thanks

I propose to replace the text of the relevent paragraph (CONFORMING
TO) with:

       outb and friends are hardware specific.  The value argument is
       passed secand and the port argument is passed first, which
       is the opposite order from most DOS implementations.

(as per: /usr/include/asm/io.h)



Tags added: patch Request was from Justin Pryzby <justinpryzby@users.sf.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263756; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 263756@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sf.net>, 263756@bugs.debian.org
Subject: Re: Bug#263756: patch
Date: Fri, 22 Jul 2005 12:57:58 +0200 (MEST)
> tag 263756 patch
> thanks
> 
> I propose to replace the text of the relevent paragraph (CONFORMING
> TO) with:
> 
>        outb and friends are hardware specific.  The value argument is
>        passed secand and the port argument is passed first, which
>        is the opposite order from most DOS implementations.
> 
> (as per: /usr/include/asm/io.h)

Hi Justin,

I do not really know the answer on this point, but how do
you deduce this order from that header file?

Some grepping of kernel sources seems to indicate to me that
the order is outb(value, port).  Also in /usr/include/sys/io.h 
I see:

static __inline void
outb (unsigned char value, unsigned short int port)
{
  __asm__ __volatile__ ("outb %b0,%w1": :"a" (value), "Nd" (port));
}


And finally in the 1e of Linux Device Drivers that I have to 
hand, on p164 I see:

voiud(outb, unsigned char byte, unsigned port);

But perhaps I am missing something?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

5 GB Mailbox, 50 FreeSMS http://www.gmx.net/de/go/promail
+++ GMX - die erste Adresse f�r Mail, Message, More +++



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263756; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Justin Pryzby <justinpryzby@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #22 received at 263756@bugs.debian.org (full text, mbox):

From: Justin Pryzby <justinpryzby@users.sourceforge.net>
To: Michael Kerrisk <mtk-manpages@gmx.net>, 263756@bugs.debian.org
Subject: Re: Bug#263756: patch
Date: Sun, 24 Jul 2005 21:40:17 -0400
On Fri, Jul 22, 2005 at 12:57:58PM +0200, Michael Kerrisk wrote:
> > tag 263756 patch
> > thanks
> > 
> > I propose to replace the text of the relevent paragraph (CONFORMING
> > TO) with:
> > 
> >        outb and friends are hardware specific.  The value argument is
> >        passed secand and the port argument is passed first, which
> >        is the opposite order from most DOS implementations.
> > 
> > (as per: /usr/include/asm/io.h)
> 
> Hi Justin,
> 
> I do not really know the answer on this point, but how do
> you deduce this order from that header file?
> 
> Some grepping of kernel sources seems to indicate to me that
> the order is outb(value, port).  Also in /usr/include/sys/io.h 
> I see:
> 
> static __inline void
> outb (unsigned char value, unsigned short int port)
You are right, and I suppose that is what I was thinking.  Here is a
line of code that I used 2 years ago:

	outb(byte, port);

That should answer that ..
Thanks for being critical,
Justin



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263756; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #27 received at 263756@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Justin Pryzby <justinpryzby@users.sourceforge.net>, 263756@bugs.debian.org
Cc: 263756@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#263756: patch
Date: Mon, 25 Jul 2005 13:38:49 +0200 (MEST)
tag 263756 fixed-upstream
thanks

> > > I propose to replace the text of the relevent paragraph (CONFORMING
> > > TO) with:
> > > 
> > >        outb and friends are hardware specific.  The value argument is
> > >        passed secand and the port argument is passed first, which
> > >        is the opposite order from most DOS implementations.
> > > 
> > > (as per: /usr/include/asm/io.h)
> > 
> > Hi Justin,
> > 
> > I do not really know the answer on this point, but how do
> > you deduce this order from that header file?
> > 
> > Some grepping of kernel sources seems to indicate to me that
> > the order is outb(value, port).  Also in /usr/include/sys/io.h 
> > I see:
> > 
> > static __inline void
> > outb (unsigned char value, unsigned short int port)
> You are right, and I suppose that is what I was thinking.  Here is a
> line of code that I used 2 years ago:
> 
> 	outb(byte, port);
> 
> That should answer that ..
> Thanks for being critical,

No problem -- I'd looked at that bug for a while, and your patch
helped push things in the right direction.

The following text will appear with the man-pages-2.08 release:

       The value argument is passed first and  the port
       argument is passed second, which is the opposite
       order from most DOS implementations.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  Grab the latest
tarball at ftp://ftp.win.tue.nl/pub/linux-local/manpages/
and grep the source files for 'FIXME'.

GMX DSL = Maximale Leistung zum minimalen Preis!
2000 MB nur 2,99, Flatrate ab 4,99 Euro/Monat: http://www.gmx.net/de/go/dsl



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#263756; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from "Michael Kerrisk" <mtk-manpages@gmx.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to davidw@eidetix.com:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 263756-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 263756-close@bugs.debian.org
Subject: Bug#263756: fixed in manpages 2.08-1
Date: Thu, 17 Nov 2005 23:02:09 -0800
Source: manpages
Source-Version: 2.08-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.08-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.08-1_all.deb
manpages_2.08-1.diff.gz
  to pool/main/m/manpages/manpages_2.08-1.diff.gz
manpages_2.08-1.dsc
  to pool/main/m/manpages/manpages_2.08-1.dsc
manpages_2.08-1_all.deb
  to pool/main/m/manpages/manpages_2.08-1_all.deb
manpages_2.08.orig.tar.gz
  to pool/main/m/manpages/manpages_2.08.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 263756@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 18 Nov 2005 07:46:45 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.08-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 263756 314435 322934 323621 325115 326720 328629
Changes: 
 manpages (2.08-1) unstable; urgency=low
 .
   * New upstream release, with the following changes
     - Add _POSIX_C_SOURCE 199309 to nanosleep(2) prototype (Closes: Bug#314435)
     - Clarified arguments in outb(2) (Closes: Bug#263756)
     - Corrected prototype in poll(2) (Closes: Bug#322934)
     - Removed misleading text in rand(3) (Closes: Bug#328629)
     - Correction of description of carg(3) (Closes: Bug#326720)
     - Removed reference to rpc_secure(3) in rpc(3) (Closes: Bug#325115)
     - Mention pivot-root in initrd(4) (Closes: Bug#323621)
Files: 
 6682770978e807df9d68cc3d1ee87677 584 doc - manpages_2.08-1.dsc
 0b3cca8825ac6980fdc22d47d23c6888 1050767 doc - manpages_2.08.orig.tar.gz
 929aaee8838745ccb7af2bf4bb1596f1 44697 doc - manpages_2.08-1.diff.gz
 abf56fc177c2af5490b962f301a2b4b2 402880 doc important manpages_2.08-1_all.deb
 67dc6340a6b039bb1fb74604714347cd 1104406 doc standard manpages-dev_2.08-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDfXllW5ql+IAeqTIRAjEWAJ4rAV2qjPqtyYu0RtGiykphDcUs2ACdH6Cy
cIx6c2EfU8aeF/mi+qAA770=
=l+s0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 23:39:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:49:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.